Skip to content

Improper Input Validation in sanitize-html

moderate severity Published May 6, 2021

Package

npm sanitize-html (npm)

Affected versions

< 2.3.2

Patched versions

2.3.2

Description

Apostrophe Technologies sanitize-html before 2.3.2 does not properly validate the hostnames set by the "allowedIframeHostnames" option when the "allowIframeRelativeUrls" is set to true, which allows attackers to bypass hostname whitelist for iframe element, related using an src value that starts with "/\example.com".

References

CVE ID

CVE-2021-26540

CVSS Score

5.3 Moderate
CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N